Bug 872352 - IE8 capability with new d3 chart solution
IE8 capability with new d3 chart solution
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Usability (Show other bugs)
4.5
i686 Windows
unspecified Severity unspecified (vote)
: ---
: RHQ 4.7
Assigned To: Mike Thompson
Mike Foley
:
Depends On:
Blocks: 872347
  Show dependency treegraph
 
Reported: 2012-11-01 16:42 EDT by Mike Thompson
Modified: 2013-09-03 10:44 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHQ 4.7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-03 10:44:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Thompson 2012-11-01 16:42:54 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 2 Mike Thompson 2013-04-18 20:53:16 EDT
Added deferred binding support for ie8 so that IE8 will not render d3 charts (as it is not capable). A message saying that "Charting is not available for this browser." is rendered instead.



<replace-with class="org.rhq.enterprise.gui.coregui.client.inventory.common.charttype.StackedBarMetricGraphIE8Impl">
        <when-type-is class="org.rhq.enterprise.gui.coregui.client.inventory.common.charttype.StackedBarMetricGraphImpl"/>
            <when-property-is name="user.agent" value="ie8"/>
    </replace-with>

This deferred binding is in place for charting now so that other implementations for special browsers or TBD circumstances can easily be added later.
Comment 3 Mike Thompson 2013-04-19 16:17:35 EDT
Also links that point to charts are disabled as well (inventory summary resource measurements link).

master commit id: ab668d8
Comment 4 Heiko W. Rupp 2013-09-03 10:44:27 EDT
Bulk closing of issues in old RHQ releases that are in production for a while now.

Please open a new issue when running into an issue.

Note You need to log in before you can comment on or make changes to this bug.